Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.document
Class IndexableFieldProperty

    java.lang.Object
      fr.gouv.culture.sdx.utils.AbstractSdxObject
          fr.gouv.culture.sdx.utils.database.Property
              fr.gouv.culture.sdx.document.IndexableFieldProperty

All Implemented Interfaces:
  org.apache.avalon.framework.configuration.Configurable, org.apache.avalon.framework.context.Contextualizable, Describable, Encodable, Identifiable, Localizable, org.apache.avalon.framework.logger.LogEnabled, SdxObject, org.apache.avalon.framework.service.Serviceable, org.apache.excalibur.xml.sax.XMLizable

public class IndexableFieldProperty
extends Property

Created by IntelliJ IDEA. User: rpandey Date: 2 janv. 2004 Time: 15:34:57 To change this template use Options | File Templates.

Nested Class Summary

Nested classes inherited from class fr.gouv.culture.sdx.utils.SdxObject
`SdxObject.ConfigurationNode`

Field Summary
`protected float` | `_boost`

Fields inherited from class fr.gouv.culture.sdx.utils.database.Property
`CLASS_NAME_SUFFIX, firstValue, name, values`

Fields inherited from class fr.gouv.culture.sdx.utils.AbstractSdxObject
`_configuration, _context, _description, _encoding, _id, _locale, _logger, _manager, _xmlizable_objects, _xmlLang, isToSaxInitialized`

Fields inherited from interface fr.gouv.culture.sdx.utils.Encodable
`DEFAULT_ENCODING`

Constructor Summary
`IndexableFieldProperty()`
`IndexableFieldProperty(java.lang.String name, java.lang.String value)`

Method Summary
`float` | `getBoost()`
`void` | `setBoost(float boost)`

Methods inherited from class fr.gouv.culture.sdx.utils.database.Property
`addValue, attemptToSetFirstValue, containsValue, deleteValue, getClassNameSuffix, getName, getValue, getValues, initToSax, initVolatileObjectsToSax, resetValues, setName, setValues`

Methods inherited from class fr.gouv.culture.sdx.utils.AbstractSdxObject
`configure, configureDescription, contextualize, enableLogging, getBaseAttributes, getConfiguration, getContext, getDescription, getEncoding, getId, getLocale, getLog, getServiceManager, getXmlLang, service, setDescription, setEncoding, setId, setLocale, setUpSdxObject, setUpSdxObject, setXmlLang, toSAX, verifyConfigurationResources`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _boost

    protected float _boost

See Also:
  `org.apache.lucene.document.Field#boost`

Constructor Detail

### IndexableFieldProperty

    public IndexableFieldProperty()

### IndexableFieldProperty

    public IndexableFieldProperty(java.lang.String name,
                                  java.lang.String value)

Method Detail

### getBoost

    public float getBoost()

### setBoost

    public void setBoost(float boost)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.